Bug 808071 - [RFE] backport --controller from upstream
[RFE] backport --controller from upstream
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-virtinst (Show other bugs)
6.3
All Linux
medium Severity high
: rc
: ---
Assigned To: virt-mgr-maint
Virtualization Bugs
: FutureFeature
Depends On:
Blocks: 794801 840699
  Show dependency treegraph
 
Reported: 2012-03-29 09:32 EDT by Paolo Bonzini
Modified: 2015-09-27 22:28 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 794801
Environment:
Last Closed: 2012-07-23 16:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Cole Robinson 2012-03-29 16:47:54 EDT
Laszlo, you can probably just rpm -Uvh --force the rpm and it will work. If not you might need to just delete the installed pyc files, then next run of virt-install will just regenerate them. The actual code doesn't have any hard dep on a newer python version.
Comment 3 Laszlo Ersek 2012-03-30 04:09:07 EDT
Unfortunately, it didn't work.

I tried "rpm -Uvh --force" first, but it kept complaining about "python(abi) = 2.7". Then I also added --nodeps (which allowed rpm to install the package), plus I removed all pyc and pyo files under:

- /usr/lib/python2.7/site-packages/virtconv
- /usr/lib/python2.7/site-packages/virtconv/parsers
- /usr/lib/python2.7/site-packages/virtinst

When I start virt-install, it says:

    Traceback (most recent call last):
      File "/usr/bin/virt-install", line 33, in <module>
        import virtinst
    ImportError: No module named virtinst

python-2.6 most probably doesn't look for the required files under /usr/lib/python2.7/site-packages. Can we change that with an environment variable? (I really don't want to move around or symlink files at this point.) Thanks.
Comment 6 Cole Robinson 2012-04-02 17:20:06 EDT
> 
> python-2.6 most probably doesn't look for the required files under
> /usr/lib/python2.7/site-packages. Can we change that with an environment
> variable? (I really don't want to move around or symlink files at this point.)
> Thanks.

For reference, you can see the system python path with

  python -c 'import sys; print sys.path'

You can alter the python path like

  PYTHONPATH=/usr/lib/python2.7/site-packages python -c 'import virtinst'

Regarding this bug though, it's pretty late in the cycle to backport what is essentially a new feature. Wouldn't be impossible though provided RHEL process isn't prohibitive, dallan what do you think?
Comment 11 RHEL Product and Program Management 2012-07-10 04:44:06 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 12 RHEL Product and Program Management 2012-07-10 21:59:27 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Note You need to log in before you can comment on or make changes to this bug.